org.bouncycastle.x509.extension

## Class X509ExtensionUtil

- java.lang.Object
- - org.bouncycastle.x509.extension.X509ExtensionUtil

    public class X509ExtensionUtil
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`X509ExtensionUtil()`

### Method Summary

Methods
`static ASN1Object` `fromExtensionValue(byte[] encodedValue)`
`static java.util.Collection` `getIssuerAlternativeNames(java.security.cert.X509Certificate cert)`
`static java.util.Collection` `getSubjectAlternativeNames(java.security.cert.X509Certificate cert)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### X509ExtensionUtil

    public X509ExtensionUtil()

### Method Detail

#### fromExtensionValue

    public static ASN1Object fromExtensionValue(byte[] encodedValue)
                                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### getIssuerAlternativeNames

    public static java.util.Collection getIssuerAlternativeNames(java.security.cert.X509Certificate cert)
                                                          throws java.security.cert.CertificateParsingException

Throws:
  `java.security.cert.CertificateParsingException`

#### getSubjectAlternativeNames

    public static java.util.Collection getSubjectAlternativeNames(java.security.cert.X509Certificate cert)
                                                           throws java.security.cert.CertificateParsingException

Throws:
  `java.security.cert.CertificateParsingException`